# Range {}

- [Overview](https://docs.angular-package.dev/range-1/range/overview.md): The \`Range\` object
- [Generic type variables](https://docs.angular-package.dev/range-1/range/generic-type-variables.md): The \`Range\` object generic type variables
- [★ Constructor](https://docs.angular-package.dev/range-1/range/constructor.md): Creates the \`Range\` instance with a range of the given required \`min\`, \`max\` and optional current \`value\`, \`step\`
- [Accessors](https://docs.angular-package.dev/range-1/range/accessors.md): The \`Range\` object accessors
- [get range()](https://docs.angular-package.dev/range-1/range/accessors/get-range.md): The \`get\` accessor obtains the range of an \`Array\` of the minimum to the maximum with the step of a specified \`Range\` object
- [get step()](https://docs.angular-package.dev/range-1/range/accessors/get-step.md): The \`get\` accessor obtains the step of a specified \`Range\` object
- [get steps()](https://docs.angular-package.dev/range-1/range/accessors/get-steps.md): Retrieves the number of steps of the specified \`Range\` object
- [value()?](https://docs.angular-package.dev/range-1/range/accessors/value.md): The \`value\` accessor indicates the range current value of the number type of a specified \`Range\` object
- [get \[Symbol.toStringTag\]()](https://docs.angular-package.dev/range-1/range/accessors/get-symbol.tostringtag.md): The \`get\` accessor, with the help of \`toStringTag\`, changes the default tag to 'Range' for an instance of \`Range\`
- [Properties](https://docs.angular-package.dev/range-1/range/properties.md): The \`Range\` object properties
- [max!](https://docs.angular-package.dev/range-1/range/properties/max.md): The maximum range of a specified \`Range\` object
- [min!](https://docs.angular-package.dev/range-1/range/properties/min.md): The minimum range of a specified \`Range\` object
- [#maximum](https://docs.angular-package.dev/range-1/range/properties/maximum.md): Private property of the \`Maximum\` primitive wrapper object with a primitive value from a given \`max\` of the \`Range\` constructor indicates the maximum range
- [#minimum](https://docs.angular-package.dev/range-1/range/properties/minimum.md): Private property of the \`Minimum\` primitive wrapper object with a primitive value from a given \`min\` of the \`Range\` constructor indicates the minimum range
- [#step](https://docs.angular-package.dev/range-1/range/properties/step.md): The private property of the generic type variable \`Step\` indicates the range step
- [#value?](https://docs.angular-package.dev/range-1/range/properties/value.md): The private property of the number type indicates the range value
- [Methods](https://docs.angular-package.dev/range-1/range/methods.md): The \`Range\` object methods
- [↓ Static](https://docs.angular-package.dev/range-1/range/methods/static.md): The \`Range\` object static methods
- [static create()](https://docs.angular-package.dev/range-1/range/methods/static-create.md): Returns a new instance of \`Range\` with a range of the given required \`min\`, \`max\` and optional current \`value\`,  \`step\`
- [static createFrom()](https://docs.angular-package.dev/range-1/range/methods/static-createfrom.md): Creates the \`Range\` instance from the given random numbers and the step
- [static createMaximum()](https://docs.angular-package.dev/range-1/range/methods/static-createmaximum.md): Returns the \`Maximum\` instance of the given maximum value
- [static createMinimum()](https://docs.angular-package.dev/range-1/range/methods/static-createminimum.md): Returns the \`Minimum\` instance of the given minimum value
- [static isRange()](https://docs.angular-package.dev/range-1/range/methods/static-isrange.md): Checks whether the value is an instance of \`Range\` of any or the given minimum, maximum, and step
- [↓ Instance](https://docs.angular-package.dev/range-1/range/methods/instance.md): The \`Range\` primitive wrapper object instance methods
- [forEachStep()](https://docs.angular-package.dev/range-1/range/methods/foreachstep.md): Performs the specified action for each step in the maximum range of an \`Array\`
- [getCurrentRange()](https://docs.angular-package.dev/range-1/range/methods/getcurrentrange.md): Returns a range of numbers from minimum to the current value by the step of a specified \`Range\` object
- [getCurrentStep()](https://docs.angular-package.dev/range-1/range/methods/getcurrentstep.md): Returns the step of the range value
- [⚠ getMax()](https://docs.angular-package.dev/range-1/range/methods/getmax.md): Gets the maximum range of a specified \`Range\` object
- [⚠ getMin()](https://docs.angular-package.dev/range-1/range/methods/getmin.md): Gets the minimum range of a specified \`Range\` object
- [getRange()](https://docs.angular-package.dev/range-1/range/methods/getrange.md): Returns a range of numbers by the specified \`step\` from minimum to the given \`value\` of the specified \`Range\` object
- [getRangeOfStep()](https://docs.angular-package.dev/range-1/range/methods/getrangeofstep.md): Returns a range of numbers by the specified step from the minimum to the given \`step\` of a specified \`Range\` object
- [getValueOfStep()](https://docs.angular-package.dev/range-1/range/methods/getvalueofstep.md): Returns the range value of the given \`step\`
- [has()](https://docs.angular-package.dev/range-1/range/methods/has.md): Checks whether the value is in the range of a specified \`Range\` object
- [hasEvery()](https://docs.angular-package.dev/range-1/range/methods/hasevery.md): Checks whether every value of the given values is in the range of a specified \`Range\` object
- [hasSome()](https://docs.angular-package.dev/range-1/range/methods/hassome.md): Checks whether some values are in the range of a specified \`Range\` object
- [isBetween()](https://docs.angular-package.dev/range-1/range/methods/isbetween.md): Checks whether range of the given \`min\` and \`max\` is between the range of a specified \`Range\` object
- [isBetweenEvery()](https://docs.angular-package.dev/range-1/range/methods/isbetweenevery.md): Checks whether the range of a specified \`Range\` object is between every range of the given \`ranges\`
- [isBetweenSome()](https://docs.angular-package.dev/range-1/range/methods/isbetweensome.md): Checks whether the range of a specified \`Range\` object is between some given \`ranges\`
- [maxGreaterThan()](https://docs.angular-package.dev/range-1/range/methods/maxgreaterthan.md): Checks whether the value is less than the maximum range of a specified \`Range\` object
- [maxLessThan()](https://docs.angular-package.dev/range-1/range/methods/maxlessthan.md): Checks whether the value is greater than the maximum range of a specified \`Range\` object
- [minGreaterThan()](https://docs.angular-package.dev/range-1/range/methods/mingreaterthan.md): Checks whether the value is less than a minimum range of a specified \`Range\` object
- [minLessThan()](https://docs.angular-package.dev/range-1/range/methods/minlessthan.md): Checks whether the value is greater than the minimum range of a specified \`Range\` object
- [setValue()](https://docs.angular-package.dev/range-1/range/methods/setvalue.md): Sets the range value between the minimum and maximum of a specified \`Range\` object
- [setValueToStep()](https://docs.angular-package.dev/range-1/range/methods/setvaluetostep.md): Sets the value of the specified \`Range\` object to the value of the given \`step\`
- [stepByStep()](https://docs.angular-package.dev/range-1/range/methods/stepbystep.md): Performs a callback function with the ability to decide when to move to the next step of the range
- [⚠ toArray()](https://docs.angular-package.dev/range-1/range/methods/toarray.md): Returns a read-only array of the range in order minimum and maximum
- [valueDown()](https://docs.angular-package.dev/range-1/range/methods/valuedown.md): Increments the range value of a specified \`Range\` object by the range step or given decrement
- [⚠ valueOf()](https://docs.angular-package.dev/range-1/range/methods/valueof.md): Returns a read-only object consisting of the primitive values of \`Minimum\` and \`Maximum\` instances
- [valueUp()](https://docs.angular-package.dev/range-1/range/methods/valueup.md): Increments the range value of a specified \`Range\` object by the range step or given increment


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.angular-package.dev/range-1/range.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
